import request from '@/utils/request';


// 列表

export async function getList (data) {
    const res = await request.post(`/qms/line_point/page` , data);
    if (res.data.code == 0) {
      return res.data.data;
    }
    return Promise.reject(new Error(res.data.message));
  }

// 新增
export async function save(data) {
  const res = await request.post(`/qms/line_point/save`, data);
  if (res.data.code == 0) {
    return res.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 编辑
export async function update(data) {
  const res = await request.post(`/qms/line_point/update`, data);
  if (res.data.code == 0) {
    return res.data.message;
  }
  return Promise.reject(new Error(res.data.message));
}


export async function getById(id) {
  const res = await request.get(`/qms/qualitystandard/getById/${id}`);
  if (res.data.code == 0) {
    return res.data;
  }
  return Promise.reject(new Error(res.data.message));
}





// 删除
export async function removeItem(data) {
  const res = await request.delete('/qms/line_point/delete', {
    data
  });
  if (res.data.code == 0) {
    return res.data.message;
  }
  return Promise.reject(new Error(res.data.message));
}
